import type { UmbCreateUserModalData } from './create-user-modal.token.js';
import { UmbModalBaseElement } from '../../../../../core/modal/index.js';
export declare class UmbCreateUserModalElement extends UmbModalBaseElement<UmbCreateUserModalData> {
    #private;
    private _form?;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbCreateUserModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-create-user-modal': UmbCreateUserModalElement;
    }
}
